> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trychroma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Heartbeat

> Returns a nanosecond timestamp of the current time.



## OpenAPI

````yaml https://api.trychroma.com/openapi.json get /api/v2/heartbeat
openapi: 3.1.0
info:
  title: chroma-frontend
  description: ''
  license:
    name: ''
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/heartbeat:
    get:
      tags:
        - System
      summary: Heartbeat
      description: Returns a nanosecond timestamp of the current time.
      operationId: heartbeat
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HeartbeatResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      x-codeSamples:
        - label: Heartbeat
          lang: typescript
          source: const timestamp = await client.heartbeat();
        - label: Heartbeat
          lang: python
          source: timestamp = client.heartbeat()
        - label: Heartbeat
          lang: rust
          source: let timestamp = client.heartbeat().await?;
components:
  schemas:
    HeartbeatResponse:
      type: object
      required:
        - nanosecond heartbeat
      properties:
        nanosecond heartbeat:
          type: integer
          minimum: 0
    ErrorResponse:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: string
        message:
          type: string

````